Index: kernel/lpolynomial.cc
===================================================================
--- kernel/lpolynomial.cc	(revision 244ed5b722de4df004fddd3ed09ac68c69199316)
+++ kernel/lpolynomial.cc	(revision 4e803e313f457e20c95ef5350e02ebdfe4a1e3a0)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: lpolynomial.cc,v 1.1 2008-11-22 20:46:20 ederc Exp $ */
+/* $Id: lpolynomial.cc,v 1.2 2008-11-27 17:18:45 ederc Exp $ */
 /*
 * ABSTRACT: lpolynomial definition 
@@ -24,60 +24,71 @@
 #include "f5gb.h"
 #include "lpolynomial.h"
-
-
-/*2
-* all functions working on the class lpoly for labeled polynomials
+#include "lplist.h"
+/*
+================================================================
+all functions working on the class LPoly for labeled polynomials
+================================================================
 */
-
-void lpoly::setPoly(poly p)
+void LPoly::setPoly(poly p) 
 {
-        polynomial = p;
+    polynomial = p;
 }
 
-void lpoly::setTerm(poly t)
-{
-        term = t;
+void LPoly::setTerm(poly t) {
+    term = t;
 }
 
-void lpoly::setIndex(long i)
-{
-        index = i;
+void LPoly::setIndex(long i) {
+    index = i;
 }
 
 
-void lpoly::setDel(bool b)
-{
-        del = b;
+void LPoly::setDel(bool b) {
+    del = b;
 }
 
-void lpoly::setNext(lpoly* l)
-{
-        next = l;
+void LPoly::setNext(LPoly* l) {
+    next = l;
 }
 
-poly lpoly::getPoly()
-{
-        return polynomial;
+poly LPoly::getPoly() {
+    return polynomial;
 }
 
-poly lpoly::getTerm()
-{
-        return term;
+poly LPoly::getTerm() {
+    return term;
 }
 
-long lpoly::getIndex()
-{
-        return index;
+long LPoly::getIndex() {
+    return index;
 }
 
-bool lpoly::getDel()
-{
-        return del;
+bool LPoly::getDel() {
+    return del;
 }
 
-lpoly *lpoly::getNext()
-{
-        return next;
+LPoly* LPoly::getNext() {
+    return next;
 }
 
+/*
+=====================================================
+comparing two labeled polynomials by their signatures
+=====================================================
+*/
+int LPoly::compare(const LPoly& lp) {
+    if(index > lp.index) {
+        return 1;
+    }
+    if(index < lp.index) {
+        return -1;
+    }
+    return 0;
+}
+
+void LPoly::get() {
+    Print("Label: ");
+    pWrite(getTerm());
+    Print("  %d\n",getIndex());
+}
 #endif
Index: kernel/lpolynomial.h
===================================================================
--- kernel/lpolynomial.h	(revision 244ed5b722de4df004fddd3ed09ac68c69199316)
+++ kernel/lpolynomial.h	(revision 4e803e313f457e20c95ef5350e02ebdfe4a1e3a0)
@@ -2,7 +2,7 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: lpolynomial.h,v 1.1 2008-11-22 20:47:27 ederc Exp $ */
+/* $Id: lpolynomial.h,v 1.2 2008-11-27 17:19:22 ederc Exp $ */
 /*
-* ABSTRACT: f5gb interface
+* ABSTRACT: labeled polynomial interface
 */
 #ifndef LPOLYNOMIAL_HEADER
@@ -13,5 +13,5 @@
 
 // class of a labeled polynomial 
-class lpoly
+class LPoly
 {
         private:
@@ -20,5 +20,5 @@
                 poly    polynomial; //standard polynomial data
                 bool    del; //for deletion in TopReduction Subalgorithm
-                lpoly   *next; //pointer on the next labeled polynomial in the list
+                LPoly   *next; //pointer on the next labeled polynomial in the list
         public:
                 void    setPoly(poly p);
@@ -30,6 +30,8 @@
                 void    setDel(bool b);
                 bool    getDel();
-                void    setNext(lpoly *l);
-                lpoly   *getNext();
+                void    setNext(LPoly *l);
+                LPoly   *getNext();
+                int     compare(const LPoly& lp);
+                void    get();
 };
 
@@ -38,6 +40,6 @@
 struct critpair
 {
-        lpoly       *cp1;   // first  component
-        lpoly       *cp2;   // second component
+        LPoly       *cp1;   // first  component
+        LPoly       *cp2;   // second component
         critpair    *next;  // next critical pair
 };
